aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-canary-stability/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-11-11 11:35:03 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2015-11-11 11:43:35 +0100
commit6be67ef51284b36c61054fda187924813986c60c (patch)
treed0769cc9d7ea2532df8140366bfbc82128e70044 /main/perl-canary-stability/APKBUILD
parentc167f8d344c23403eedeacb1ae1f7ab3e17df655 (diff)
downloadaports-6be67ef51284b36c61054fda187924813986c60c.tar.gz
aports-6be67ef51284b36c61054fda187924813986c60c.tar.bz2
aports-6be67ef51284b36c61054fda187924813986c60c.tar.xz
main/perl-canary-stability: new aport
Diffstat (limited to 'main/perl-canary-stability/APKBUILD')
-rw-r--r--main/perl-canary-stability/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/main/perl-canary-stability/APKBUILD b/main/perl-canary-stability/APKBUILD
new file mode 100644
index 0000000000..baae2b40a8
--- /dev/null
+++ b/main/perl-canary-stability/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=perl-canary-stability
+pkgver=2006
+pkgrel=0
+pkgdesc="CPAN/Canary-Stability - canary to check perl compatability for schmorp's modules"
+url="https://metacpan.org/release/Canary-Stability"
+arch="noarch"
+license="PerlArtistic GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/Canary-Stability-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Canary-Stability-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="570ffd5fd8a399b6ba392c8451c8f5ab Canary-Stability-2006.tar.gz"
+sha256sums="47afc038ece0b77e212afc05656791345ac08826f6102181a429dd231720d62e Canary-Stability-2006.tar.gz"
+sha512sums="e68de850f1383e086780ccddc125243c79d391838e5bf4ede7824023f5055d9dde6d9945f84b3016c60c8d7a3c71934fc1c8c9e7b4b0fdee2bcb1e737fb5261a Canary-Stability-2006.tar.gz"